import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataOktaTrustedOriginsConfig extends cdktf.TerraformMetaArguments {
    /**
    * Filter criteria. Filter value will be URL-encoded by the provider
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/trusted_origins#filter DataOktaTrustedOrigins#filter}
    */
    readonly filter?: string;
}
export declare class DataOktaTrustedOriginsTrustedOrigins extends cdktf.ComplexComputedList {
    get active(): cdktf.IResolvable;
    get id(): string;
    get name(): string;
    get origin(): string;
    get scopes(): string[];
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/d/trusted_origins okta_trusted_origins}
*/
export declare class DataOktaTrustedOrigins extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/d/trusted_origins okta_trusted_origins} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataOktaTrustedOriginsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataOktaTrustedOriginsConfig);
    private _filter?;
    get filter(): string;
    set filter(value: string);
    resetFilter(): void;
    get filterInput(): string | undefined;
    get id(): string;
    trustedOrigins(index: string): DataOktaTrustedOriginsTrustedOrigins;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
