import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataOktaUsersConfig extends cdktf.TerraformMetaArguments {
    /**
    * search block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#search DataOktaUsers#search}
    */
    readonly search: DataOktaUsersSearch[] | cdktf.IResolvable;
}
export declare class DataOktaUsersUsers extends cdktf.ComplexComputedList {
    get adminRoles(): string[];
    get city(): string;
    get costCenter(): string;
    get countryCode(): string;
    get customProfileAttributes(): string;
    get department(): string;
    get displayName(): string;
    get division(): string;
    get email(): string;
    get employeeNumber(): string;
    get firstName(): string;
    get groupMemberships(): string[];
    get honorificPrefix(): string;
    get honorificSuffix(): string;
    get id(): string;
    get lastName(): string;
    get locale(): string;
    get login(): string;
    get manager(): string;
    get managerId(): string;
    get middleName(): string;
    get mobilePhone(): string;
    get nickName(): string;
    get organization(): string;
    get postalAddress(): string;
    get preferredLanguage(): string;
    get primaryPhone(): string;
    get profileUrl(): string;
    get secondEmail(): string;
    get state(): string;
    get status(): string;
    get streetAddress(): string;
    get timezone(): string;
    get title(): string;
    get userType(): string;
    get zipCode(): string;
}
export interface DataOktaUsersSearch {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#comparison DataOktaUsers#comparison}
    */
    readonly comparison?: string;
    /**
    * Property name to search for. This requires the search feature be on. Please see Okta documentation on their filter API for users. https://developer.okta.com/docs/api/resources/users#list-users-with-search
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#name DataOktaUsers#name}
    */
    readonly name: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#value DataOktaUsers#value}
    */
    readonly value: string;
}
export declare function dataOktaUsersSearchToTerraform(struct?: DataOktaUsersSearch | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/d/users okta_users}
*/
export declare class DataOktaUsers extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/d/users okta_users} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataOktaUsersConfig
    */
    constructor(scope: Construct, id: string, config: DataOktaUsersConfig);
    get id(): string;
    users(index: string): DataOktaUsersUsers;
    private _search?;
    get search(): DataOktaUsersSearch[] | cdktf.IResolvable;
    set search(value: DataOktaUsersSearch[] | cdktf.IResolvable);
    get searchInput(): cdktf.IResolvable | DataOktaUsersSearch[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
